variables:
  TARGET_DIR: /datas/servers/_builds/cn2b2t
stages:
  - check
  - clean
  - build
# ıı½¨ Job
check:
  stage: check
  tags:
    - maven
  script:
    - mvn -v
    - mkdir -vp -m777 $TARGET_DIR
clean:
  stage: clean
  tags:
    - maven
  script:
    - rm -vrf $TARGET_DIR/*.jar
build:
  stage: build
  tags:
    - maven
  script:
    - mvn install
    - ls ./*/target/*.jar
    - cp -vrf ./*/target/*.jar $TARGET_DIR/